// OptionLog.cpp : implementation file
//

#include "stdafx.h"
#include "base.h"
#include "OptionLog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// COptionLog dialog


COptionLog::COptionLog(CWnd* pParent /*=NULL*/)
	: CDialog(COptionLog::IDD, pParent)
{
	//{{AFX_DATA_INIT(COptionLog)
	//}}AFX_DATA_INIT
}


void COptionLog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(COptionLog)
	DDX_Control(pDX, IDC_LISTLOG, m_wndListlog);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(COptionLog, CDialog)
	//{{AFX_MSG_MAP(COptionLog)
	ON_BN_CLICKED(IDC_BUTTONREFRESH, OnButtonrefresh)
	ON_BN_CLICKED(IDC_CLEARLOGFILE, OnClearLogFile)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// COptionLog message handlers

BOOL COptionLog::OnInitDialog() 
{
	CDialog::OnInitDialog();
	LoadText();
	return TRUE;
}

void COptionLog::LoadText()
{
	utils.LoadTextFile(utils.litestepDir + "litestep.log", m_wndListlog);
}

void COptionLog::OnButtonrefresh() 
{
	LoadText();
}

void COptionLog::OnClearLogFile() 
{
	DeleteFile(utils.litestepDir + "litestep.log");
	CStdioFile f;
	if (f.Open(utils.litestepDir + "litestep.log",CFile::modeWrite | CFile::modeCreate))
	{
		f.Close();
	}
	LoadText();
}
